SEQanswers

Go Back   SEQanswers > Bioinformatics > Bioinformatics



Similar Threads
Thread Thread Starter Forum Replies Last Post
TopHat Error: Could not find Bowtie index files /bowtie-0.12.5/indexes/. rebrendi Bioinformatics 11 06-22-2016 10:55 AM
bowtie index problem (bowtie-build and then bowtie-inspect) tgenahmet Bioinformatics 4 09-10-2013 12:51 PM
Bowtie...Error: could not execute Bowtie Brajbio Bioinformatics 6 02-12-2013 02:01 PM
bowtie bogdan Bioinformatics 0 09-29-2010 02:43 PM
New to Bowtie jjk Bioinformatics 2 11-16-2009 02:43 PM

Reply
 
Thread Tools
Old 02-12-2014, 01:50 PM   #1
giorgifm
Member
 
Location: Columbia University Medical Center

Join Date: Aug 2011
Posts: 35
Default Bowtie 2.2.0

Dear all,

I just installed the newest version of Bowtie2 (2.2.0)
http://bowtie-bio.sourceforge.net/bowtie2/index.shtml

The version appears to be incompatible with Tophat 2.0.10 (it cannot find bowtie2, even if it is in the PATH).
The problem arises from the fact that the executable bowtie2-align disappeared, as two executables substituted it: bowtie2-align-l and bowtie2-align-s

The Tophat problem can be fixed by putting in the path a link to bowtie2-align-l named bowtie2-align

My question is: what are the two versions -l and -s? The difference is not documented anywhere, but it's present also in the bowtie2-build executables.
giorgifm is offline   Reply With Quote
Old 02-12-2014, 02:02 PM   #2
dpryan
Devon Ryan
 
Location: Freiburg, Germany

Join Date: Jul 2011
Posts: 3,476
Default

-l is meant for "large genome" support. One of the new features in bowtie2 2.2.0 is support for arbitrarily large genomes. Yeah, you have to look through the perl code in bowtie2 to find this out.
dpryan is offline   Reply With Quote
Old 02-12-2014, 02:11 PM   #3
giorgifm
Member
 
Location: Columbia University Medical Center

Join Date: Aug 2011
Posts: 35
Default

I thought so. Thank you dpryan!
giorgifm is offline   Reply With Quote
Old 03-22-2014, 08:37 AM   #4
rajj
Junior Member
 
Location: New York

Join Date: Dec 2013
Posts: 4
Default

Is there a downside to using the "-l" version on small genomes?
rajj is offline   Reply With Quote
Old 04-16-2014, 08:39 AM   #5
genome1
Member
 
Location: India

Join Date: Oct 2013
Posts: 12
Default Tophat-2.0.10 not detecting Bowtie2-2.2.2

Quote:
Originally Posted by giorgifm View Post
Dear all,

I just installed the newest version of Bowtie2 (2.2.0)
http://bowtie-bio.sourceforge.net/bowtie2/index.shtml

The version appears to be incompatible with Tophat 2.0.10 (it cannot find bowtie2, even if it is in the PATH).
The problem arises from the fact that the executable bowtie2-align disappeared, as two executables substituted it: bowtie2-align-l and bowtie2-align-s

The Tophat problem can be fixed by putting in the path a link to bowtie2-align-l named bowtie2-align

My question is: what are the two versions -l and -s? The difference is not documented anywhere, but it's present also in the bowtie2-build executables.
I am using Tophat-2.0.10 and Bowtie2-2.2.2. Inspite of giving paths, tophat2 is unable to detect Bowtie2. Is it because "bowtie2-align" is not there?
If so, can anyone of you suggest which version of Bowtie2 is compatible with tophat-2.0.10 ? Similarly which version of Bowtie is compatible with tophat-2.0.10.
Thank you
genome1 is offline   Reply With Quote
Old 04-16-2014, 08:59 AM   #6
giorgifm
Member
 
Location: Columbia University Medical Center

Join Date: Aug 2011
Posts: 35
Default

The Tophat compatibility problem can be fixed by putting in the path a link to bowtie2-align-l named bowtie2-align
Quote:
ln -s bowtie2-align-l bowtie2-align
giorgifm is offline   Reply With Quote
Old 04-16-2014, 03:10 PM   #7
dpryan
Devon Ryan
 
Location: Freiburg, Germany

Join Date: Jul 2011
Posts: 3,476
Default

I really wouldn't recommend linking the large-genome specific version of the script to the generic version unless you ONLY use large (i.e. >~4 gigabases) genomes and don't have any regular indices that you'd like to keep around. I wouldn't be surprised if the next release supports 64bit bowtie2 indices.

@genome1: Just upgrade to tophat 2.0.11, the version you're using is known to not work with the version of bowtie you have.
dpryan is offline   Reply With Quote
Old 04-17-2014, 09:14 AM   #8
genome1
Member
 
Location: India

Join Date: Oct 2013
Posts: 12
Default

Thank you giorgifm and dpryan.
@dpryan: It is working.
genome1 is offline   Reply With Quote
Reply

Tags
bowtie, bowtie2, tophat, tophat2

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT -8. The time now is 07:49 PM.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Single Sign On provided by vBSSO